EventListener::getSocketName
EventListener::setErrorCallback
EventListener
PHP Manual

# EventListener::setCallback

(PECL event >= 1.2.6-beta)

EventListener::setCallback — The setCallback purpose

### Description

public void EventListener::setCallback ( callable `$cb` [, mixed `$arg` = `NULL` ] )

Adjust event connect listener's callback and optionally the callback argument.

### Parameters

`cb`

  The new callback for new connections. Ignored if `NULL`.

  Should match the following prototype:

  void callback ([ EventListener `$listener` = `NULL` [, mixed `$fd` = `NULL` [, array `$address` = `NULL` [, mixed `$arg` = `NULL` ]]]] )

  `listener`

    The EventListener object.

  `fd`

    The file descriptor or a resource associated with the listener.

  `address`

    Array of two elements: IP address and the server port.

  `arg`

    User custom data attached to the callback.

`arg`

  Custom user data attached to the callback. Ignored if `NULL`.

### Return Values

No value is returned.

EventListener::getSocketName
EventListener::setErrorCallback
EventListener
PHP Manual